TopicForms

Create a topic form (Preview)

Preview · Available to selected organizations. Creates a signup form for the visible topic and returns 201.

POST
/v1/topics/{id}/forms

Creates a signup form for the visible topic and returns 201. The server generates its opaque public key. allowedOrigins contains exact HTTPS origins; the canonical web origin and current topic link origin are also accepted. Copy is plain text and redirectUrl is HTTPS or null. Requires topicSignup.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

allowedOrigins*array<>
Itemsitems <= 20
confirmationTitle*string
Length1 <= length <= 120
confirmationMessage*string
Length1 <= length <= 2000
successTitle*string
Length1 <= length <= 120
successMessage*string
Length1 <= length <= 2000
redirectUrl*|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/topics/string/forms" \  -H "Content-Type: application/json" \  -d '{    "allowedOrigins": [      "string"    ],    "confirmationTitle": "string",    "confirmationMessage": "string",    "successTitle": "string",    "successMessage": "string",    "redirectUrl": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "publicKey": "29f62ed2-b67a-44ba-84f5-217ecee94438",  "topicId": "string",  "allowedOrigins": [    "string"  ],  "confirmationTitle": "string",  "confirmationMessage": "string",  "successTitle": "string",  "successMessage": "string",  "redirectUrl": "string",  "linkOrigin": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation